org.apache.solr.security

## Class RuleBasedAuthorizationPlugin

- java.lang.Object
- - org.apache.solr.security.RuleBasedAuthorizationPlugin

- All Implemented Interfaces:
    Closeable, AutoCloseable, AuthorizationPlugin, ConfigEditablePlugin

      public class RuleBasedAuthorizationPlugin
      extends Object
      implements AuthorizationPlugin, ConfigEditablePlugin

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleBasedAuthorizationPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthorizationResponse` | `authorize(AuthorizationContext context)`
    `void` | `close()`
    `Map<String,Object>` | `edit(Map<String,Object> latestConf, List<CommandOperation> commands)` Operate the commands on the latest conf and return a new conf object If there are errors in the commands , throw a SolrException.
    `void` | `init(Map<String,Object> initInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleBasedAuthorizationPlugin

          public RuleBasedAuthorizationPlugin()

  - ### Method Detail

    - #### authorize

          public AuthorizationResponse authorize(AuthorizationContext context)

      Specified by:
        `authorize` in interface `AuthorizationPlugin`

    - #### init

          public void init(Map<String,Object> initInfo)

      Specified by:
        `init` in interface `AuthorizationPlugin`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

    - #### edit

          public Map<String,Object> edit(Map<String,Object> latestConf,
                                         List<CommandOperation> commands)

      Description copied from interface: `ConfigEditablePlugin`
      Operate the commands on the latest conf and return a new conf object If there are errors in the commands , throw a SolrException. return a null if no changes are to be made as a result of this edit. It is the responsibility of the implementation to ensure that the returned config is valid . The framework does no validation of the data
      Specified by:
        `edit` in interface `ConfigEditablePlugin`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.